package com.kuyuntech.cofarcooking.device.sdk.devmode.airfryer;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.AirFryerWorkModes;
import com.kuyuntech.cofarcooking.device.sdk.devmode.core.BaseDevMode;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class AfMuttonChop extends BaseDevMode {


    public AfMuttonChop(){

        this.setMode(AirFryerWorkModes.AF_MUTTON_CHOP);

        //时间
        this.setMinTime(0);
        this.setMaxTime(60 * 60);
        this.setDefaultTime(25 * 60);
        this.setTimeChange(true);

        //140
        this.setDefaultTemp(200);
        this.setMinTemp(40);
        this.setMaxTemp(200);
        this.setTempChange(true);

    }

}
