package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class FoodProcessor extends BaseDevMode{

    public FoodProcessor(){

        this.setMode(WorkModes.FOOD_PROCESSOR);


        //时间
        this.setDefaultTime(30);
        this.setMaxTime(60);
        this.setMinTime(10);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(5);
        this.setMinMotorGear(4);
        this.setMaxMotorGear(6);
        this.setMotorGearChange(true);
        this.setMotorDirectionChange(false);
        this.setMotorDirection(0);

        //温度
        this.setDefaultTemp(0);
        this.setMinTemp(0);
        this.setMaxTemp(0);
        this.setTempChange(false);
    }


}
